name: CD for startPage

on:
  push:
    branches: [main]

jobs:
  build:
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:act-latest
    steps:
    - uses: actions/checkout@v3
    - uses: docker/login-action@v2
      with:
        registry: git.skrd.fun
        username: ${{ github.repository_owner }}
        password: ${{ secrets.REGISTRY_ACCESS_TOKEN }}
    - uses: https://github.com/docker/setup-buildx-action@v2
    - uses: docker/build-push-action@master
      with:
        context: .
        file: ./Dockerfile
        push: true
        tags: git.skrd.fun/skrd/start.skrd.fun:latest


  deploy:
    needs: build
    runs-on: ubuntu-latest

    steps:
      - name: Deploy
        run: |
          echo "${{ secrets.SERVER_PRIVATE_KEY  }}" > private_key && chmod 600 private_key
          ssh -o StrictHostKeyChecking=no -i private_key ${{ secrets.SSH_USER }}@${{ secrets.SSH_HOST }} -p ${{ secrets.SSH_PORT || 22 }} '
            docker compose pull
            docker compose up -d
          '
